Skip to main content

Deactivate Showcase Resource

API Description

Deactivate a showcase resource.

note

Showcase must be "live" on a device in order to be deactivated.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
showcaseId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcases/{showcaseId}/deactivate
Path Example
POST {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases/9467895078742654903/deactivate

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "a6ca83ce-ddd4-11ec-b42c-df835f144710"

Request Body

None

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: b91000ba-7079-4fe0-852a-d8a2d0407370
content-type: application/json
etag: "bcaeb908-ddd4-11ec-a31a-87c9be2eb5ae"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases/9467895078742654903

Response Body

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.showcaseDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654903",
"createdDate": "2026-10-21T00:00:00.00Z",
"updatedDate": "2026-10-21T00:00:00.00Z",
"state": "DELETED",
"etag": "bcaeb908-ddd4-11ec-a31a-87c9be2eb5ae",
"showcaseDetails": {
"startDate": "2026-11-01T00:00:00.00Z",
"endDate": "2026-11-25T00:00:00.00Z",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654918"
},
"creativeId": "9467895078742654987"
},
"validationReports": []
}
note

DELETED resource state is returned in a response. After processing, state will be updated to DEACTIVATED